@ECHO OFF
::
::   _gbssetup.bat
::	Alias for gbssetup.bat.
::	Used for initial setup of GBS
::	Makes sure command is on top of list
::	You MUST cd to This directory (GBS_SCRIPTS_PATH) to call this script
::

echo _GBSSETUP_:
echo _GBSSETUP_: Setup a GBS environment (Initial)
echo _GBSSETUP_:
echo.

::
::  Sanity Checks
::
if not defined APPDATA echo _GBSSETUP_: Fatal Error: System EnvVar APPDATA is not defined
if not defined APPDATA goto END

if not defined TEMP echo _GBSSETUP_: Fatal Error: System EnvVar TEMP is not defined
if not defined TEMP goto END

::
::  Setup
::
if NOT [%GBS_PID%]==[] goto gbs_notok
    ::
    ::  Setup Perl
    ::
    set GBS_PERL_CMD=perl
    if [%GBS_PERL_PATH%]==[] goto end_perl
	set GBS_PERL_CMD=%GBS_PERL_PATH%\bin\perl.exe
        set GBS_WPERL_CMD=%GBS_PERL_PATH%\bin\wperl.exe
	echo _GBSSETUP_: Perl set to '%GBS_PERL_PATH%\bin\perl'
    :end_perl

    ::
    ::	Determine GBS_BASE_PATH
    ::
    ::echo %APPDATA%
    for %%A in ("%APPDATA%") do set SHORT_APPDATA=%%~sA
    ::echo %SHORT_APPDATA%
    if [%GBS_BASE_PATH%]==[] set GBS_BASE_PATH=%SHORT_APPDATA%\.gbs
    echo _GBSSETUP_: GBS_BASE_PATH=%GBS_BASE_PATH%

    ::
    ::  Determine GBS_SCRIPTS_PATH
    ::  Convert to short notation first
    ::
    set THIS_DIR=%~dp0
    for %%A in ("%THIS_DIR%") do set GBS_SCRIPTS_PATH=%%~sA

    if NOT exist %GBS_SCRIPTS_PATH%\build.dat echo _GBSSETUP_: Not in proper GBS setup directory (%GBS_SCRIPTS_PATH%)
    if NOT exist %GBS_SCRIPTS_PATH%\build.dat goto END
    echo _GBSSETUP_: GBS_SCRIPTS_PATH set to %GBS_SCRIPTS_PATH%

    ::
    ::  Setup GBS_PID
    ::
    %GBS_SCRIPTS_PATH%\win32utils\ppid.exe
    set GBS_PID=%ERRORLEVEL%

    ::
    ::  Run gbssetup
    ::
    call %GBS_SCRIPTS_PATH%\gbssetup.bat 1
    goto gbs_end
:gbs_notok
    echo _GBSSETUP_: ** GBS already running. Use 'gbssetup' command **
    set GBS_RC=1
:gbs_end

::
::  Completion
::
:end
echo.
set /p GBS_WAIT=_GBSSETUP_: Hit ^<Enter^> to finish (and maybe close window):

::
::  Cleanup
::
set GBS_PID=
set GBS_WAIT=
set GBS_SCRIPTS_PATH=

:: **EOF**
