#===============================================================
#
#   gbsbgscasum.pl
#
#===============================================================
#   This file is a part of the GBS (Generic Build Support)
#   package created by Randy Marques, Netherlands
#   For information: http://www.genericbuildsupport.com
#   Copyright  2010-2020 - Randy Marques - All rights reserved
#===============================================================
use strict;
use warnings;
use integer;
print "*GBSBGSCASUM @ARGV\n" if ($ENV{GBSDEBUG_FILE});




use lib $ENV{GBS_SCRIPTS_PATH};
use glo::env;
use glo::args;
use gbsenv;
use gbsbgglo;
use scasum;




sub do_scasum($$);
sub get_command_args();








my $BATCH_NAME = '';	# reference to be used in logging. E.g.:  gbsaudit_post
my $COMPONENT;		# will be '-'
my $GBSBG_SCRIPT_SPEC;	# main input-file






$| = 1;
my $RC = 0;
GBSENV_init();

get_command_args();
GBSBGGLO_init( $BATCH_NAME, $COMPONENT);	# sets CWD to SUSBSYS ($COMPONENT eq '-')
$RC = GBSBGGLO_main( $GBSBG_SCRIPT_SPEC, [ SCASUM => \&do_scasum ]);

ENV_exit( $RC);




sub END
{
ENV_print_end_msg( 0);
}




sub do_scasum($$)
{
my ($file,		    # not used
$sum_filespec,
) = @_;
my $rc = 0;


SCASUM_init( $sum_filespec);

SCASUM_run();

return $rc;
}




sub get_command_args()
{
($BATCH_NAME,
$COMPONENT,
$GBSBG_SCRIPT_SPEC,
) = ARGS_get( 3, 'perl -w gbsbgscasum.pl <BATCH_NAME> <COMPONENT> <gbg_script>', undef);

}


