#!must_be_sourced
#
#   gbsswr.sh
#
GBS_RC=0
let GBS_SCRIPT_LEVEL+=1

if [[ $GBS_PID == '' ]]
then
    echo "GBSSW_: ** GBS not started for this subprocess: Use 'gbs' or 'gbsstart' **"
    GBS_RC=1
else
    #
    #	Run Phase 1
    #
    \export GBS_SWR_FILE=~/tmp/GBSSWR_RESULT_`hostname`_$GBS_PID.tmp
    \rm -f $GBS_SWR_FILE 2> /dev/null
    $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbsswr.pl $*
    GBS_RC=$?
    set --

    #
    #   Selectively setup the environment
    #
    if [[ $GBS_RC -eq 0 && -f $GBS_SWR_FILE ]]
    then
	#
	#   Execute the setup of environment variables
	#
	. $GBS_SWR_FILE
        GBS_RC=$?
        if [[ $GBS_RC -eq 0 ]]
        then
	    #
	    #	Run Phase 2
	    #
            \export GBS_SWR_SET_FILE=~/tmp/GBSSWR_RESULT_`hostname`_$GBS_PID.tmp
            \rm -f $GBS_SWR_SET FILE 2> /dev/null
            $GBS_PERL_CMD -w $GBS_SCRIPTS_PATH/gbsswr_set.pl $GBS_SWR_SET_ARGS
            GBS_RC=$?
            if [[ $GBS_RC -eq 0 && -f $GBS_SWR_FILE ]]
            then
	        #
	        #   Execute the setup of environment variables
	        #
	        . $GBS_SWR_SET_FILE
                GBS_RC=$?
            fi
        fi
    fi
    \rm -f $GBS_SWR_FILE 2> /dev/null
    \rm -f $GBS_SWR_SET_FILE 2> /dev/null
    unset GBS_SWR_FILE
    unset GBS_SWR_SET_FILE
    unset GBS_SWR_SET_ARGS
fi

#   End
let GBS_SCRIPT_LEVEL-=1
if (( $GBS_SCRIPT_LEVEL <= 0 ))
then
    unset GBS_PROMPT_SEPARATOR_PRINTED
    unset GBS_SCRIPT_LEVEL
fi
\set --
bash -c "exit $GBS_RC" # set $?

## EOF ##
