#===============================================
#
#   incs.pm
#
#===============================================================
#   This file is a part of the GBS (Generic Build Support)
#   package created by Randy Marques, Netherlands
#   For information: http://www.genericbuildsupport.com
#   Copyright  2010-2020 - Randy Marques - All rights reserved
#===============================================================
package incs;

use strict;
use warnings;
use integer;

BEGIN
{
require Exporter;
our @ISA = qw(Exporter);
our @EXPORT = qw(
INCS_get_includes
);
}




use gbsfile;
use gbsfilecom;




sub INCS_get_includes($);

sub read_incs($);




my %INCS_CACHE;





sub INCS_get_includes($)
{
my ($filespec) = @_;

return read_incs( $filespec);
}




sub read_incs($)
{
my ($filespec) = @_;
my @lines;

if (exists( $INCS_CACHE{$filespec}))
{
@lines = @{$INCS_CACHE{$filespec}};
} else
{
if (GBSFILE_open( $filespec, 0, undef, undef))
{
my $line = GBSFILE_get_line();
while ($line)
{

$line = GBSFILECOM_validate_path( $line);
push @lines, $line;
$line = GBSFILE_get_line();
}
}
$INCS_CACHE{$filespec} = [ @lines ];
}

return @lines;
}

1;

