#===============================================================
#
#   scahelpglo.pm
#
#===============================================================
#   This file is a part of the GBS (Generic Build Support)
#   package created by Randy Marques, Netherlands
#   For information: http://www.genericbuildsupport.com
#   Copyright  2010-2020 - Randy Marques - All rights reserved
#===============================================================
package scahelpglo;

use strict;
use warnings;
use integer;

BEGIN
{
require Exporter;
our @ISA = qw(Exporter);
our @EXPORT = qw(
SCAHELPGLO_get_file
SCAHELPGLO_get_msg_url
SCAHELPGLO_get_msg_id
);
}








sub SCAHELPGLO_get_file();
sub SCAHELPGLO_get_msg_url($);
sub SCAHELPGLO_get_msg_id($);




my $HELP_FILE = 'msg_help.html';	    # "$GBS_SILO_CACHE_PATH/$plugin_name/$plugin_rel/msg_help.html"




sub SCAHELPGLO_get_file()
{


return $HELP_FILE;
}




sub SCAHELPGLO_get_msg_url($)
{
my ($msg_nr,
) = @_;

return "$HELP_FILE#msg_$msg_nr";
}




sub SCAHELPGLO_get_msg_id($)
{
my ($msg_nr,
) = @_;

return "msg_$msg_nr";
}

1;

