@ECHO OFF
::========================================
::  define.bat <rel> <command> [<command_arg> ...]
::  Called by a GBS shortcut
::  - Set GBS_BASE_PATH (and SHORT_APPDATA)
::  - Call %GBS_BASE_PATH%\setup.bat
::  - execute the gbscmd - if present
::  - Args:
::    <rel>:     'cur', 'beta' or actual version
::    <command>: 'gbs', 'perl', 'call' or 'exec'
::========================================

::
::  Handle Args
::
set GBS_DEFINE_REL=%1
shift
set GBS_DEFINE_COMMAND=%1
shift
set GBS_DEFINE_COMMAND_ARGS=%1
shift
:args_next
    if [%1]==[] goto args_end
    set GBS_DEFINE_COMMAND_ARGS=%GBS_DEFINE_COMMAND_ARGS% %1
    shift
  goto args_next
:args_end
if [%GBS_DEFINE_COMMAND%]==[] set GBS_DEFINE_COMMAND=gbs
::set GBS_LOCAL

::
::  Set GBS_BASE_PATH (%SHORT_APPDATA%\.gbs)
::
for %%A in ("%APPDATA%") do set SHORT_APPDATA=%%~fsA
set GBS_BASE_PATH=%SHORT_APPDATA%\.gbs

::
::  Execute gbscmd.bat if it exist
::
set GBS_LOGIN_FILE="%GBS_BASE_PATH%\gbscmd.bat"
if exist %GBS_LOGIN_FILE% echo DEFINE_: Executing %GBS_LOGIN_FILE%...
if exist %GBS_LOGIN_FILE% call %GBS_LOGIN_FILE%
set GBS_LOGIN_FILE=

::
::  Run setup (& profile)
::
call %GBS_BASE_PATH%\setup.bat %GBS_DEFINE_REL%

::
::  Select the command
::
if not [%GBS_DEFINE_COMMAND%]==[gbs] goto select_nogbs
    ::
    ::  Define 'gbs' command
    ::
    doskey gbs=%GBS_BASE_PATH%\gbsinit.bat --rel=%GBS_DEFINE_REL%
    doskey gbshelp=start %GBS_SCRIPTS_PATH%\doc\index.html
    doskey gbssetup=%GBS_PERL_CMD% %GBS_SCRIPTS_PATH%\gbssetup.pl
    doskey gbsuninstall=%GBS_PERL_CMD% %GBS_SCRIPTS_PATH%\gbsuninstall.pl
    echo DEFINE_: GBS commands defined:
    echo          gbs
    echo          gbshelp
    echo          gbssetup
    echo          gbsuninstall
    echo DEFINE_: Type 'gbs' to startup GBS [%GBS_DEFINE_REL%]
    echo -
    goto select_end
:select_nogbs
    ::
    ::  Execute the specified command
    ::
    echo DEFINE_: Executing %GBS_DEFINE_COMMAND% %GBS_DEFINE_COMMAND_ARGS%...
    set GBS_COMMAND_OK=0
    if [%GBS_DEFINE_COMMAND%]==[perl] set GBS_COMMAND_OK=1 && %GBS_PERL_CMD% %GBS_SCRIPTS_PATH%\%GBS_DEFINE_COMMAND_ARGS%
    if [%GBS_DEFINE_COMMAND%]==[call] set GBS_COMMAND_OK=1 && call %GBS_SCRIPTS_PATH%\%GBS_DEFINE_COMMAND_ARGS%
    if [%GBS_DEFINE_COMMAND%]==[exec] set GBS_COMMAND_OK=1 && %GBS_SCRIPTS_PATH%\%GBS_DEFINE_COMMAND_ARGS%
    if [%GBS_COMMAND_OK%]==[0] echo DEFINE_: **ERROR** Invalid command '%GBS_DEFINE_COMMAND%' (perl call exec)
    if [%GBS_COMMAND_OK%]==[0] echo          define %GBS_DEFINE_REL% %GBS_DEFINE_COMMAND% %GBS_DEFINE_COMMAND_ARGS%
    set GBS_COMMAND_OK=
:select_end

::
::  Cleanup
::
set GBS_DEFINE_REL=
set GBS_DEFINE_COMMAND=
set GBS_DEFINE_COMMAND_ARGS=

:end

:: **EOF**
