#!must_be_sourced!
#========================================
#   gbsinit.sh [ --rel=<rel> ]
#   Generic invocation of GBS by means of 'gbs' command
#   - Set GBS_BASE_PATH
#   - source ~/.gbs/setup.sh (which calls ~/.gbs/profile.sh)
#   - get the saved rel (written by define.sh)
#   - generic call GBS_SCRIPTS_PATH/gbsinit.sh
#========================================

#set -v -x	# debuging

GBS_RC=0

#
#   Set GBS_BASE_PATH
#
\export GBS_BASE_PATH="$HOME/.gbs"

#
#   Run setup (& profile)
#
\source "$GBS_BASE_PATH/setup.sh" cur

#
#   Determine the wanted GBS version (--rel-<rel>)
#
GBS_WANTED_REL_FILE="$TMPDIR/gbsinit_rel_$PPID.sh"
GBS_REL_ARG=$1
if [[ $GBS_REL_ARG == '' ]]
then
    #
    #   Get the saved rel (GBS_WANTED_REL) as set by define.sh (and called by a shortcut)
    #
    if [[ -f $GBS_WANTED_REL_FILE ]]
    then
        source $GBS_WANTED_REL_FILE
        if [[ $GBS_WANTED_REL != $GBS_SCRIPTS_REL ]]
        then
	    \echo "GBSINIT_: Selecting GBS version $GBS_WANTED_REL ($GBS_SCRIPTS_REL)"
        fi
    else
        \echo "GBSINIT_: GBS Startup session expired. Starting the current GBS version"
    fi
fi
GBS_REL_ARG="--rel=$WANTED_GBS_REL"
\rm $GBS_WANTED_REL_FILE 2> /dev/null
\unset GBS_WANTED_REL_FILE
\unset GBS_WANTED_REL

#
#   Delete 'leftover' gbsinit_rel_$PPID.sh files (1 week old)
#
\find "$TMPDIR" -name gbsinit_rel_*.sh -mtime +7 -printf "GBSINIT_: Deleting old, unused $TMPDIR:%f\\n" -delete

#
#   Execute Init
#
#\echo "GBSINIT_: GBS_SCRIPTS_PATH=$GBS_SCRIPTS_PATH"
\source "$GBS_SCRIPTS_PATH/gbsinit.sh" $GBS_REL_ARG
GBS_RC=$?
\unset GBS_REL_ARG

#   End
\set --
\bash -c "exit $GBS_RC" # set $?

###EOF###
