#!/bin/bash
#========================================
#   gbsstart_here.sh <gbscommand> [<gbs_command_args>...]
#   Generic invocation of GBS in a batch environment (e.g.: using gbsstart_here)
#   - Set GBS_BASE_PATH
#   - source ~/.gbs/setup.sh (which calls ~/.gbs/profile.sh)
#   - generic call GBS_SCRIPTS_PATH/gbsinit.sh
#========================================

#set -v -x	# debuging

GBS_RC=0

#
#   Set GBS_BASE_PATH
#
\export GBS_BASE_PATH="$HOME/.gbs"

#
#   Run setup (& profile)
#
source "$GBS_BASE_PATH/setup.sh" cur

#
#   Execute Start
#
\source "$GBS_SCRIPTS_PATH/gbsstart_here.sh" $*
GBS_RC=$?

#   End
\set --
\bash -c "exit $GBS_RC" # set $?

###EOF###
