#!must_be_sourced!
#=========================================
#   setup.sh <wanted_rel>
#   Common part for gbsinit.sh (interactive) and gbsstart.sh (batch)
#   - Setup the PERL Commands
#   - Setup the GUI environment (if available)
#   - Run profile.sh
#   - Adjust the GBS_SCRIPTS_REL (if applicable)
#=========================================

#
#   Handle Args
#
GBS_SETUP_REL=$1
set --

#
#	Setup Perl
#
#echo GBS_PERL_PATH=$GBS_PERL_PATH
if [[ $GBS_PERL_PATH == '' ]]
then
    \export GBS_PERL_CMD=perl
else
    \export GBS_PERL_CMD=$GBS_PERL_PATH/bin/perl
    \echo "SETUP_: Perl set to '$GBS_PERL_PATH/bin/perl'"
fi

#
#   Assert TMPDIR
#
if [[ ! -z TMPDIR ]]
then
    \export "TMPDIR=/tmp/$USER"
    \mkdir "$TMPDIR" 2>/dev/null
fi

#
#   Setup the GUI environment (if available)
#
if [[ "$XDG_DESKTOP_DIR" == '' ]]
then
    #\echo "SETUP_: Getting GUI info..."
    \test -f ${XDG_CONFIG_HOME:-~/.config}/user-dirs.dirs && source ${XDG_CONFIG_HOME:-~/.config}/user-dirs.dirs
    if [[ "$XDG_DESKTOP_DIR" != '' ]]
    then
        \echo "SETUP_: GUI present ($XDG_DESKTOP_DIR)"
        \export XDG_DESKTOP_DIR
    fi
fi

#
#   Execute profile
#
#\echo "SETUP_: Executing $GBS_BASE_PATH/profile.sh..."
\source "$GBS_BASE_PATH/profile.sh"
if [[ "$GBS_SETUP_REL" != cur && "$GBS_SETUP_REL" != "$GBS_SCRIPTS_REL" ]]
then
    if [[ -e "$GBS_SCRIPTS_ROOT/$GBS_SETUP_REL" ]]
    then
	\export GBS_SCRIPTS_REL=$GBS_SETUP_REL
	\echo "SETUP_: GBS Version set to '$GBS_SCRIPS_REL'"
    else
	\echo "SETUP_: GBS Version '$GBS_SETUP_REL' does not exist"
    fi
fi

#
#   Cleanup
#
unset GBS_SETUP_REL

#   End

#  **EOF**
