#==============================================================
#
#   swc.pm
#
#===============================================================
#   This file is a part of the GBS (Generic Build Support)
#   package created by Randy Marques, Netherlands
#   For information: http://www.genericbuildsupport.com
#   Copyright  2010-2020 - Randy Marques - All rights reserved
#===============================================================
package swc;

use strict;
use warnings;
use integer;

BEGIN
{
require Exporter;
our @ISA = qw(Exporter);
our @EXPORT = qw(
SWC_set
);
}




use glo::env;
use gbsenv;
use gbsrc;
use gbsglo;




sub SWC_set($$$);




my $GBS_ROOT_PATH = GBSENV_gbs_root_path();




sub SWC_set($$$)
{
my ($subsys,
$component,
$must_write,
) = @_;

ENV_debug( 1, "Set $GBS_ROOT_PATH, $subsys: $component");




if ($component eq '')
{
ENV_setenv( GBS_COMPONENT	=> '');
ENV_setenv( GBS_COMPONENT_PATH  => '');
} else
{
ENV_sig( F => "Cannot specify Component ($component) for empty-named SubSys")
if ($subsys eq '');
ENV_sig( F => "Cannot specify Component ($component) for Non-GBS SubSys ($subsys)")
if (!GBSGLO_subsystem_is_full_gbs( $subsys));

my $component_path = "$GBS_ROOT_PATH/dev/$subsys/comp/$component";
ENV_setenv(	    GBS_COMPONENT	=> $component);
ENV_setenv_os_path( GBS_COMPONENT_PATH  => $component_path);
}




GBSRC_write_subsys( $subsys, component => $component)
if ($must_write && $subsys ne '' &&
GBSENV_mode_is_interactive());
}

1;


